package com.winhc.bigdata.spark.utils

import org.apache.commons.lang3.StringUtils
/**
 * @Author: XuJiakai
 * @Date: 2020/7/7 13:59
 * @Description:
 */
object ChangeExtractUtils {

  //知识产权标签
  def get_ip_tags(type_val: String, name: String, date: String, no: String): String = {
    s"""{"type":${getValueOrNull(type_val)},"name":${getValueOrNull(name)},"date":${getValueOrNull(date)},"no":${getValueOrNull(no)}}""".trim
  }

  private def getValueOrNull(value:String):String={
    if(StringUtils.isNotBlank(value)){
      "\""+value+"\""
    }else{
      null
    }
  }


  def main(args: Array[String]): Unit = {
    val name = get_ip_tags("a", null, "b", null)
  }
}
